import {request} from '@/utils/request.js'
const goods_api = {
    goodsNewsList() {
        return request('/expertAPI/goodsNewsList', {}, 'post', true);
    },

    goodsList(data) {
        return request('/expertAPI/goodsListV2', data, 'post', true);
    },

    goodsTagList(data) {
        return request('/expertAPI/goodsTagList', data, 'post', true);
    },

    getGoodsDetail(data) {
        return request('/expertAPI/getGoodsDetail', data, 'post', true);
    },

    getTotalPoints(data) {
        return request('/expertAPI/getTotalPointsU', data, 'post', true);
    },

    createGoodsOrder(data) {
        return request('/expertAPI/createGoodsOrder', data, 'post', true);
    },
    payGoodsOrder(data) {
        return request('/expertAPI/payGoodsOrder', data, 'post', true);
    },
    getGoodsOrderList(data) {
        return request('/expertAPI/goodsOrderList', data, 'post', true);
    },
    getUpanWelfareCount(data){
		return request('/expertAPI/getUpanWelfareCount', data, 'post', false);
	},
    getGoodsOrderDetail(data) {
        return request('/expertAPI/getGoodsOrder', data, 'post', true);
    },
    getOrderTrack(data) {
        return request('/expertAPI/getOrderTrack', data, 'post', true);
    },
    cancelGoodsOrder(data) {
        return request('/expertAPI/cancleGoodsOrder', data, 'post', true);
    }
   
}

export default goods_api;